{{ define "header"}}
    <div class="title-bar">
        <div class="title">Shows</div>
    </div>
{{end}}

{{ define "content"}}
    <div class="shows">
        <div class="tabs">
            <div class="tab active">Recent</div>
            <a class="tab" href="shows/list">All</a>
        </div>

        <div class="shows">
            {{ range . }}
                <div class="show card card-1" onclick="window.location.href = 'search?q={{.Show.Name}} s{{printf "%02d" .Episode.SeasonNumber}} e{{printf "%02d" .Episode.EpisodeNumber}}'">
                    <div class="poster">
                        <img src="{{ .Show.Poster }}">
                    </div>
                    <div class="info">
                        <div>{{.Show.Name}} - S{{printf "%02d" .Episode.SeasonNumber}} E{{printf "%02d" .Episode.EpisodeNumber}}</div>
                        <div class="episode-name">
                            {{ .Episode.FirstAired.Format "02.01.2006" }} |
                            {{ .Episode.Name}}
                        </div>
                        <p class="overview">{{ .Episode.Overview }}</p>
                    </div>
                </div>
            {{end}}
            {{if not .}}
                <div class="not-found">No shows yet 😥</div>
            {{end}}
        </div>
    </div>
{{end}}